path: /build/build/smartmontools-sys-apps-7.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-kernel_FreeBSD -selinux -static -systemd caps daemon update_drivedb" emerge sys-apps/smartmontools -pv -t && \
    USE="-kernel_FreeBSD -selinux -static -systemd caps daemon update_drivedb" emerge -j ${JOBS} --nodeps sys-apps/smartmontools
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/smartmontools && luet-portage --dir
    /pkgdir/smartmontools sys-apps/smartmontools && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:deb260c0a0599cb6dc14bd266ef78f86d86ee2a095f405a5a5447b75cece8f83
  package:
    name: smartmontools
    version: "7.0"
    category: sys-apps
    use_flags:
    - -kernel_FreeBSD
    - -selinux
    - -static
    - -systemd
    - caps
    - daemon
    - update_drivedb
    requires:
    - name: macaroni-funtoo-race15
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Tools to monitor storage systems to provide advanced warning of disk
      degradation
    uri:
    - https://www.smartmontools.org
    license: GPL-2
    buildtimestamp: 2023-09-15 15:05:39.776256688 +0000 UTC m=+121.421646113
    labels:
      DEPEND: caps? ( static? ( sys-libs/libcap-ng[static-libs] ) !static? ( sys-libs/libcap-ng
        ) ) kernel_FreeBSD? ( sys-freebsd/freebsd-lib[usb] ) selinux? ( sys-libs/libselinux
        ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || (
        >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4 virtual/pkgconfig
      IUSE: caps +daemon selinux static systemd update_drivedb
      RDEPEND: caps? ( static? ( sys-libs/libcap-ng[static-libs] ) !static? ( sys-libs/libcap-ng
        ) ) kernel_FreeBSD? ( sys-freebsd/freebsd-lib[usb] ) selinux? ( sys-libs/libselinux
        ) daemon? ( virtual/mailx ) selinux? ( sec-policy/selinux-smartmon ) systemd?
        ( sys-apps/systemd ) update_drivedb? ( app-crypt/gnupg || ( net-misc/curl
        net-misc/wget www-client/lynx dev-vcs/subversion ) )
      emerge.packages: sys-apps/smartmontools
      kit: core-kit
      original.package.name: sys-apps/smartmontools
      original.package.slot: "0"
      original.package.version: 7.0-r1
    treedir: /build/packages
  package_dir: /pkgdir/smartmontools
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 14f993b14adcc26f83e82e0e1685de0764e27206ccd70d50a9c65e54b5c2f26b
compressiontype: zstd
files:
- etc/conf.d/smartd
- etc/cron.monthly/smartmontools-update-drivedb
- etc/init.d/smartd
- etc/smartd.conf
- etc/smartd_warning.sh
- usr/sbin/smartctl
- usr/sbin/smartd
- usr/sbin/update-smart-drivedb
- usr/share/doc/smartmontools-7.0-r1/AUTHORS.bz2
- usr/share/doc/smartmontools-7.0-r1/COPYING.bz2
- usr/share/doc/smartmontools-7.0-r1/ChangeLog-5.0-6.0.bz2
- usr/share/doc/smartmontools-7.0-r1/ChangeLog.bz2
- usr/share/doc/smartmontools-7.0-r1/INSTALL.bz2
- usr/share/doc/smartmontools-7.0-r1/NEWS.bz2
- usr/share/doc/smartmontools-7.0-r1/README.bz2
- usr/share/doc/smartmontools-7.0-r1/TODO.bz2
- usr/share/doc/smartmontools-7.0-r1/examplescripts/Example1.bz2
- usr/share/doc/smartmontools-7.0-r1/examplescripts/Example2.bz2
- usr/share/doc/smartmontools-7.0-r1/examplescripts/Example3.bz2
- usr/share/doc/smartmontools-7.0-r1/examplescripts/Example4.bz2
- usr/share/doc/smartmontools-7.0-r1/examplescripts/Example5.bz2
- usr/share/doc/smartmontools-7.0-r1/examplescripts/Example6.bz2
- usr/share/doc/smartmontools-7.0-r1/examplescripts/README.bz2
- usr/share/doc/smartmontools-7.0-r1/smartd.conf.bz2
- usr/share/man/man5/smartd.conf.5.bz2
- usr/share/man/man8/smartctl.8.bz2
- usr/share/man/man8/smartd.8.bz2
- usr/share/man/man8/update-smart-drivedb.8.bz2
- usr/share/smartmontools/drivedb.h
- var/db/pkg/sys-apps/smartmontools-7.0-r1/BUILD_TIME
- var/db/pkg/sys-apps/smartmontools-7.0-r1/CATEGORY
- var/db/pkg/sys-apps/smartmontools-7.0-r1/CBUILD
- var/db/pkg/sys-apps/smartmontools-7.0-r1/CFLAGS
- var/db/pkg/sys-apps/smartmontools-7.0-r1/CHOST
- var/db/pkg/sys-apps/smartmontools-7.0-r1/CONTENTS
- var/db/pkg/sys-apps/smartmontools-7.0-r1/COUNTER
- var/db/pkg/sys-apps/smartmontools-7.0-r1/CXXFLAGS
- var/db/pkg/sys-apps/smartmontools-7.0-r1/DEFINED_PHASES
- var/db/pkg/sys-apps/smartmontools-7.0-r1/DEPEND
- var/db/pkg/sys-apps/smartmontools-7.0-r1/DESCRIPTION
- var/db/pkg/sys-apps/smartmontools-7.0-r1/EAPI
- var/db/pkg/sys-apps/smartmontools-7.0-r1/FEATURES
- var/db/pkg/sys-apps/smartmontools-7.0-r1/HOMEPAGE
- var/db/pkg/sys-apps/smartmontools-7.0-r1/INHERITED
- var/db/pkg/sys-apps/smartmontools-7.0-r1/IUSE
- var/db/pkg/sys-apps/smartmontools-7.0-r1/IUSE_EFFECTIVE
- var/db/pkg/sys-apps/smartmontools-7.0-r1/KEYWORDS
- var/db/pkg/sys-apps/smartmontools-7.0-r1/LDFLAGS
- var/db/pkg/sys-apps/smartmontools-7.0-r1/LICENSE
- var/db/pkg/sys-apps/smartmontools-7.0-r1/NEEDED
- var/db/pkg/sys-apps/smartmontools-7.0-r1/PF
- var/db/pkg/sys-apps/smartmontools-7.0-r1/RDEPEND
- var/db/pkg/sys-apps/smartmontools-7.0-r1/REQUIRES
- var/db/pkg/sys-apps/smartmontools-7.0-r1/SIZE
- var/db/pkg/sys-apps/smartmontools-7.0-r1/SLOT
- var/db/pkg/sys-apps/smartmontools-7.0-r1/USE
- var/db/pkg/sys-apps/smartmontools-7.0-r1/environment.bz2
- var/db/pkg/sys-apps/smartmontools-7.0-r1/repository
- var/db/pkg/sys-apps/smartmontools-7.0-r1/smartmontools-7.0-r1.ebuild
- var/db/smartmontools/.keep_sys-apps_smartmontools-0
package_cacheimage: ""
runtime:
  name: smartmontools
  version: "7.0"
  category: sys-apps
  use_flags:
  - -kernel_FreeBSD
  - -selinux
  - -static
  - -systemd
  - caps
  - daemon
  - update_drivedb
  requires:
  - name: gnupg
    version: '>=0'
    category: app-crypt
  - name: libcap-ng
    version: '>=0'
    category: sys-libs
  - name: mailx
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Tools to monitor storage systems to provide advanced warning of disk
    degradation
  uri:
  - https://www.smartmontools.org
  license: GPL-2
  labels:
    DEPEND: caps? ( static? ( sys-libs/libcap-ng[static-libs] ) !static? ( sys-libs/libcap-ng
      ) ) kernel_FreeBSD? ( sys-freebsd/freebsd-lib[usb] ) selinux? ( sys-libs/libselinux
      ) >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16
      >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      virtual/pkgconfig
    IUSE: caps +daemon selinux static systemd update_drivedb
    RDEPEND: caps? ( static? ( sys-libs/libcap-ng[static-libs] ) !static? ( sys-libs/libcap-ng
      ) ) kernel_FreeBSD? ( sys-freebsd/freebsd-lib[usb] ) selinux? ( sys-libs/libselinux
      ) daemon? ( virtual/mailx ) selinux? ( sec-policy/selinux-smartmon ) systemd?
      ( sys-apps/systemd ) update_drivedb? ( app-crypt/gnupg || ( net-misc/curl net-misc/wget
      www-client/lynx dev-vcs/subversion ) )
    emerge.packages: sys-apps/smartmontools
    kit: core-kit
    original.package.name: sys-apps/smartmontools
    original.package.slot: "0"
    original.package.version: 7.0-r1
